SDL_HINT_JOYSTICK_HIDAPI_LUNA(3)

NAME
SDL_HINT_JOYSTICK_HIDAPI_LUNA - A variable controlling whether the HIDAPI driver for Amazon Luna controllers connected via Bluetooth should be used.

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_JOYSTICK_HIDAPI_LUNA "SDL_JOYSTICK_HIDAPI_LUNA"

DESCRIPTION
The variable can be set to the following values:

• "0": HIDAPI driver is not used.

• "1": HIDAPI driver is used.

The default is the value of SDL_HINT_JOYSTICK_HIDAPI.

This hint should be set before initializing joysticks and gamepads.

AVAILABILITY
This hint is available since SDL 3.2.0.